#!/usr/bin/env python
# -*- coding:utf-8 -*-

'''
 ' Copyright 2011-2020 Li Kexian
 '
 ' Licensed under the Apache License, Version 2.0 (the "License");
 ' you may not use this file except in compliance with the License.
 ' You may obtain a copy of the License at
 '
 '     http://www.apache.org/licenses/LICENSE-2.0
 '
 ' Unless required by applicable law or agreed to in writing, software
 ' distributed under the License is distributed on an "AS IS" BASIS,
 ' WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 ' See the License for the specific language governing permissions and
 ' limitations under the License.
 '
 ' DNSPod API Python Web 示例
 ' https://www.likexian.com/
 '''

import setuptools

setuptools.setup(
    name="dnspod-web",
    version="3.0.0",
    author="Li Kexian",
    author_email="1175571+likexian@users.noreply.github.com",
    description="DNSPod API Python Web Example",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/likexian/dnspod-api-python-web",
    packages=setuptools.find_packages(),
    include_package_data=True,
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: Apache Software License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=2.6',
    install_requires=[
        "flask",
        "requests",
    ],
    entry_points={
        'console_scripts':[
            'dnspod-web = dnspod_web.app:main'
        ]
    },
)
